Quantcast Add-Ons settings are currently unavalaible. Please try again later - ESOUI
Thread Tools Display Modes
10/21/19, 06:14 PM   #1
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
Add-Ons settings are currently unavalaible. Please try again later

Any idea why i get this for all Votan's addons ?

(they are updated, they work fine, but i can not access any of their settings anymore)

i tried to get access to them by letting without the addon that create the separate window, but they do not show up in the settings either)
__________________
  Reply With Quote
10/21/19, 06:40 PM   #2
La'razmirr
 
La'razmirr's Avatar
Join Date: Sep 2019
Posts: 1
This one is guessing it is from the new Dragonhold DLC and patch that dropped today, yes?
  Reply With Quote
10/21/19, 06:52 PM   #3
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
yes

In the meantime, it seems that i had to add a new addon for them to work (i mean Votans settings). Never had to do that before but i guess its probably due some ZoS changes.

I added https://www.esoui.com/downloads/info...AMadapter.html, this regrouped all the addons and supressed the Votan section.

Had no choice. Tried everything i could. I so loved to have them separated (

tested all addons one by one, nothing worked until i add this new one.

Well i guess i will have to get used to it *sad face* and more sad knowing that this addon is not really up to date as its library force me to check allow outdated addon, things i could avoid for one full year.
__________________
  Reply With Quote
10/22/19, 08:32 AM   #4
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 2,529
*cough* Change the txt file *cough*
  Reply With Quote
10/22/19, 08:59 AM   #5
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
Originally Posted by Baertram View Post
*cough* Change the txt file *cough*
I tried, in fact i tried all day yesterday until 3 am .... but i am not good enough at all. Did not even play the game trying to help lol

I dont even understand on that special addon why there is still libstub called and why when the addon is called LibHarvensAddonSettings and no file in the folder is called LibHarvensAddonSettings-1.0, though we still LibHarvensAddonSettings.lua starting like this :

local version = 7.2
local LibHarvensAddonSettings = LibStub:NewLibrary("LibHarvensAddonSettings-1.0", version)
if not LibHarvensAddonSettings then return end

and then the game says : Cannot find a library instance of "LibHarvensAddonSettings-1.0". I see a logic there as there is no file of this name in the lib folder, but i know i miss something important and i am not the one that will find it lol

So i will remove some of the addons and wait.

i asked on esoui discord channel too in case

Thank you
__________________
  Reply With Quote
10/22/19, 09:07 AM   #6
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 2,529
Code:
local version = 7.2
local LibHarvensAddonSettings = LibStub:NewLibrary("LibHarvensAddonSettings-1.0", version)
if not LibHarvensAddonSettings then return end
This means:
LibStub:NewLibrary will create the library with unique name LibHarvensAddonSettings-1.0, and version 7.2.
Any other addon trying to use the same lib will also use LibStub and it will notice there already is version 7.2 with that unqiue name loaded. If no newer version will be found (like 7.3 or 8 or higher) it will just do nothing within LibStub.
If a higher evrsion is found it will laod this then as "newest".


It's basically the same like the new ## AddOnVersion: <integer value> tag in the txt files of libraries/addons does. The ingame addonmanager will check these tags and if there are multiple "folders"/"txt files in folders" (they normally need to have the same name!) with the same name, then it will only load the highest unsigned integer value file.


In the end you got a table of data which is locally defined in the file and called "LibHarvensAddonSettings".
-> local LibHarvensAddonSettings = LibStub:NewLibrary...

Not sure what you tried but if the library LibStub is activated and LibStub is added as ## DependsOn: LibStub inside the LibHarvensAddonSettings.txt file, it should load LibStub properly before this lib and then be able to load this complete library LibHarvensAddonSettings as well.

What I meant is:
If you say the libraries are shown outdated and you need to enable the checkbox "Allow out of date addons" ingame, why don't you change the txt files of the shown outdated libraries/Addons and just increase the
## APIVersion: to 100029, like this:
Code:
## APIVersion: 100029 100030
And then they are not oudated anymore
  Reply With Quote
10/22/19, 09:15 AM   #7
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
Originally Posted by Baertram View Post
Code:
local version = 7.2
local LibHarvensAddonSettings = LibStub:NewLibrary("LibHarvensAddonSettings-1.0", version)
if not LibHarvensAddonSettings then return end
This means:
LibStub:NewLibrary will create the library with unique name LibHarvensAddonSettings-1.0, and version 7.2.
Any other addon trying to use the same lib will also use LibStub and it will notice there already is version 7.2 with that unqiue name loaded. If no newer version will be found (like 7.3 or 8 or higher) it will just do nothing within LibStub.
If a higher evrsion is found it will laod this then as "newest".


It's basically the same like the new ## AddOnVersion: <integer value> tag in the txt files of libraries/addons does. The ingame addonmanager will check these tags and if there are multiple "folders"/"txt files in folders" (they normally need to have the same name!) with the same name, then it will only load the highest unsigned integer value file.


In the end you got a table of data which is locally defined in the file and called "LibHarvensAddonSettings".
-> local LibHarvensAddonSettings = LibStub:NewLibrary...

Not sure what you tried but if the library LibStub is activated and LibStub is added as ## DependsOn: LibStub inside the LibHarvensAddonSettings.txt file, it should load LibStub properly before this lib and then be able to load this complete library LibHarvensAddonSettings as well.

What I meant is:
If you say the libraries are shown outdated and you need to enable the checkbox "Allow out of date addons" ingame, why don't you change the txt files of the shown outdated libraries/Addons and just increase the
## APIVersion: to 100029, like this:
Code:
## APIVersion: 100029 100030
And then they are not oudated anymore
Oh that i did. But yet it says that i need to find a library that match the actual game version.

Code:
## Title: Harven's Addon Settings
## Description: Library to add your addon settings to the common settings page. The functionality is similar to great Seerah's LibAddonMenu addon but it's written from scratch.
## APIVersion: 100029 100030
## AddOnVersion: 10702
## IsLibrary: true
## OptionalDependsOn: LibStub

LibHarvensAddonSettings.lua
This bolded part is what i changed. But for a reason that do not work at all.
__________________
  Reply With Quote
10/22/19, 09:30 AM   #8
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
i just logged in game. And unchecked the Harven's AS to LAM adapter addon that i never used before.

No error all is good but still the Votan's addons depending of LibHarvensAddonSettings do not show up in the settings as before the patch, into the add-Ons section.

Probably something resulting of a ZoS change.

So i checked again the Harven's AS to LAM and the addon are showing up into the normal section AddOns.

I guess that is all.

I think its the new way intended by the game. Just one and only AddOns folder for the settings

oh and thank you for the explanation. I understood. Not that i would be able to build an addon knowing this lol but at least i understood where i was going wrongly.

Thank you
__________________
  Reply With Quote
10/24/19, 06:38 AM   #9
WhiteLight100
Join Date: Oct 2019
Posts: 1
Same for me, can't go into my addons settings, none.

bad argument #1 to 'ipairs' (table/struct expected, got nil)
stack traceback:
[C]: in function 'ipairs'
EsoUI/PregameAndIngame/ZO_Options/Keyboard/ZO_Options_Keyboard.lua:162: in function 'ZO_KeyboardOptions:PanelRequiresDeferredLoading'
EsoUI/PregameAndIngame/ZO_Options/Keyboard/ZO_Options_Keyboard.lua:146: in function 'ZO_KeyboardOptions:ChangePanels'
user:/AddOns/VotansFishFillet/LibAddonMenu-2.0/LibAddonMenu-2.0/LibAddonMenu-2.0.lua:964: in function 'panelData.callback'
EsoUI/Common/ZO_GameMenu/ZO_GameMenu.lua:52: in function 'TreeEntryOnSelected'
EsoUI/Libraries/ZO_Tree/ZO_Tree.lua:705: in function 'ZO_TreeNode:OnSelected'
EsoUI/Libraries/ZO_Tree/ZO_Tree.lua:411: in function 'ZO_Tree:SelectNode'
EsoUI/Libraries/ZO_Tree/ZO_Tree.lua:888: in function 'ZO_TreeEntry_OnMouseUp'
ZO_CollectionsBook_TopLevelCategoriesScrollChildZO_CollectionsBook_SubCategory1_MouseUp:3: in function '(main chunk)'
Don't know how to fix this.
  Reply With Quote
10/24/19, 08:08 AM   #10
Anceane
 
Anceane's Avatar
Join Date: Feb 2014
Posts: 251
Originally Posted by WhiteLight100 View Post
Same for me, can't go into my addons settings, none.



Don't know how to fix this.
Until Harven update the library, you can do this :

download the addon https://www.esoui.com/downloads/info...AMadapter.html.

Then dont forget to allow outdated addons because the library inside is outdated the the addon still works

This will allow you to see the settings of the Votan's addons again, but in the section AddOns settings, regrouped with all other addons.
__________________
  Reply With Quote
11/23/19, 09:10 AM   #11
nereiwe
Join Date: Nov 2019
Posts: 1
Originally Posted by Anceane View Post
Any idea why i get this for all Votan's addons ?

(they are updated, they work fine, but i can not access any of their settings anymore)

i tried to get access to them by letting without the addon that create the separate window, but they do not show up in the settings either)
Its still unavailable. Did you really get any solution?
  Reply With Quote
11/23/19, 03:42 PM   #12
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 2,529
If your settings ar enot working then note down whicha ddons you are suing and afterwards disable all, and only enable some to test which one is causing the bug.
I assume any or some of your addons are using an outdated version of LibAddonMenu then "loaded directly from the addon's txt file".

TRy to install LibAddonMenu as stand alone library in the newest version!
  Reply With Quote

ESOUI » AddOns » AddOn Help/Support » Add-Ons settings are currently unavalaible. Please try again later

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off